Skip to content
Snippets Groups Projects
Commit 72d092ec authored by Arnaud Ferraris's avatar Arnaud Ferraris
Browse files

generate-files: make version argument mandatory


This ensures we don't accidentally build for the default version, which 
is already old.

Signed-off-by: default avatarArnaud Ferraris <arnaud.ferraris@collabora.com>
parent 8b5db7d5
No related branches found
No related tags found
1 merge request!9Fix publication on apertis branches
...@@ -2,23 +2,18 @@ ...@@ -2,23 +2,18 @@
set -e set -e
VERSION="v2021" if [ $# -ne 1 ]; then
echo "Usage: $0 APERTIS_VERSION" >&2
if [ $# -gt 1 ]; then
echo "Usage: $0 [APERTIS_VERSION]" >&2
exit 1 exit 1
fi fi
if [ "$1" ]; then VERSION=$1
versioncheck=$(echo $1 | grep -o 'v[0-9]\{4\}\(dev[0-9]\|pre\)\?') versioncheck=$(echo $VERSION | grep -o 'v[0-9]\{4\}\(dev[0-9]\|pre\)\?')
if [ "$versioncheck" = "$1" ]; then if [ "$versioncheck" != "$VERSION" ]; then
VERSION=$1 echo "Error: wrong Apertis version format: should be 'vXXXX[devY|pre]' with" >&2
else echo "\tXXXX\tthe release year" >&2
echo "Error: wrong Apertis version format: should be 'vXXXX[devY|pre]' with" >&2 echo "\tY\ta single digit between 0 and 3" >&2
echo "\tXXXX\tthe release year" >&2 exit 2
echo "\tY\ta single digit between 0 and 3" >&2
exit 2
fi
fi fi
projectdir=$(dirname $0) projectdir=$(dirname $0)
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment